﻿from matplotlib import pyplot as plt

pH=[i*0.1 for i in range(0, 141)] # liste contenant les valeurs de pH de 0 à 15 par pas de 0,1
B=[0 for i in range(0,141)] #matrice contenant la concentration en base pour chaque valeur du pH
A=[0 for i in range(0,141)] #matrice contenant la concentration en acide pour chaque valeur du pH
B_pour=[0 for i in range(0,141)] #matrice contenant le pourcentage de base pour chaque valeur du pH
A_pour=[0 for i in range(0,141)] #matrice contenant le pourcentage d' acide pour chaque valeur du pH
pKA=eval(input("entrez la valeur du pKA du couple"))
KA=10**(-pKA)

#############Calcul de la concentration en acide et en base pour chaque pH##############
for i in range(0,141):
    B[i]= 10**(-pH[i])
    A[i]= B[i]**2/KA
    B_pour[i]=B[i]/(A[i]+B[i])
    A_pour[i]=A[i]/(A[i]+B[i])

######Graphiquedes pourcentages en fonction du pH ############################

plt.plot(pH,A_pour,color="blue", label ="Pourcentage en acide")

plt.plot(pH,B_pour,color="red",label="Pourcentage en base")
plt.xlabel("pH")
plt.ylabel("en %")
plt.legend(loc='best')

plt.show()